# Copyright (C) 2005 FishGrove Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: Public.pm,v 1.1 2006/03/07 14:39:09 slash5234 Exp $

package Affelio::App::Standalone::Public;
{
    use strict;
    use lib("../../../../extlib/");
    use CGI qw(-unique_headers);
    use CGI::Session; #qw(-ip_match);
    use HTML::Template;
    use Error qw(:try);
    use Fcntl;

    use lib("../../../../lib/");
    use Affelio;
    use Affelio::misc::CGIError;
    use Affelio::misc::Debug qw( debug_print);
    use Affelio::misc::Time;
    use Affelio::misc::NetMisc;
    use Affelio::misc::WebInput;
    use Affelio::Managing::NewsAggregator;
    use Affelio::exception::CommunicationException; 
    use Affelio::exception::SystemException;

    ######################################################################
    #Constructor
    ######################################################################
    sub new{
	my $class = shift;
	my %param = @_;

	my $self = {};
	bless $self, $class;
	return $self;
    }

    sub run{
	my $self = shift;
	my %param = @_;

	eval("require Affelio::App::Standalone::Public::$param{App};");
	eval("Affelio::App::Standalone::Public::$param{App}::run();");
    }
}
1;

    
